// Kubejs scripts for botania stuff

ServerEvents.recipes(event => {

// Missing sapling recipes
event.recipes.botania.petal_apothecary("ars_nouveau:blue_archwood_sapling", ["minecraft:oak_sapling", "projecte:low_covalence_dust", "botania:fertilizer"])
event.recipes.botania.petal_apothecary("ars_nouveau:red_archwood_sapling", ["minecraft:birch_sapling", "projecte:low_covalence_dust", "botania:fertilizer"])
event.recipes.botania.petal_apothecary("ars_nouveau:purple_archwood_sapling", ["minecraft:jungle_sapling", "projecte:low_covalence_dust", "botania:fertilizer"])
event.recipes.botania.petal_apothecary("ars_nouveau:green_archwood_sapling", ["minecraft:acacia_sapling", "projecte:low_covalence_dust", "botania:fertilizer"])

event.recipes.botania.petal_apothecary("malum:runewood_sapling", ["minecraft:spruce_sapling", "projecte:low_covalence_dust", "botania:fertilizer"])
event.recipes.botania.petal_apothecary("thermal:rubberwood_sapling", ["minecraft:dark_oak_sapling", "projecte:low_covalence_dust", "botania:fertilizer"])

// Rune Factory
event.recipes.botania.runic_altar("mbd2:rune_factory", ["botania:polished_livingrock", "botania:rune_mana", "botania:dragonstone", "botania:mana_tablet", "botania:terrasteel_ingot"], 250000)

// Fix Pylon
event.shaped(
  Item.of('botania:gaia_pylon'),
  [
    ' c ',
    'aba',
    ' c '
  ],
  {
    a: 'botania:elementium_ingot',
    b: 'botania:mana_pylon',
	c: 'botania:pixie_dust'
  }
)

// Weeping well substitute
event.recipes.botania.elven_trade(["malum:encyclopedia_esoterica"], "malum:encyclopedia_arcana")
event.recipes.botania.elven_trade(["malum:mnemonic_fragment"], "malum:chunk_of_brilliance")
event.recipes.botania.elven_trade(["malum:tophat"], "minecraft:black_wool")
event.recipes.botania.elven_trade(["malum:anomalous_design"], "minecraft:iron_block")
event.recipes.botania.elven_trade(["malum:void_salts"], "#kubejs:hex_ash")
event.recipes.botania.elven_trade(["malum:fused_consciousness"], "malum:complete_design")
event.recipes.botania.elven_trade(["malum:music_disc_aesthetica"], "malum:music_disc_arcane_elegy")
event.recipes.botania.elven_trade(["malum:the_vessel"], "malum:the_device")
event.recipes.botania.elven_trade(["malum:null_slate"], "malum:processed_soulstone")
event.recipes.botania.elven_trade(["malum:auric_embers"], "minecraft:blaze_powder")
event.recipes.botania.elven_trade(["malum:malignant_lead"], "malum:cthonic_gold")

})